| Home | Libraries | People | FAQ | More

#### zlib::deflate_upper_bound

Returns the upper limit on the size of a compressed block.

##### Synopsis

Defined in header `<boost/beast/zlib/deflate_stream.hpp>`

    std::size_t
    deflate_upper_bound(
        std::size_t bytes);

##### Description

This function makes a conservative estimate of the maximum number of bytes needed to store the result of compressing a block of data.

##### Parameters

Name | Description
--- | ---
`bytes` | The size of the uncompressed data.

##### Return Value

The maximum number of resulting compressed bytes.

Convenience header `<boost/beast/zlib.hpp>`